Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Groovy] Class MetaMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.MetaMappingInfo

    class MetaMappingInfo
    extends java.lang.Object

Meta data describing a url mapping

Since:
  2.3.5

Property Summary
`java.lang.Object` | `action`
`java.util.List` | `constraints`
`java.lang.Object` | `controller`
`java.lang.String` | `httpMethod`
`java.lang.Object` | `namespace`
`java.lang.Object` | `plugin`
`java.lang.Object` | `redirectInfo`
`java.lang.Object` | `uri`
`java.lang.Object` | `view`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### action

    java.lang.Object action

### constraints

    java.util.List constraints

### controller

    java.lang.Object controller

### httpMethod

    java.lang.String httpMethod

### namespace

    java.lang.Object namespace

### plugin

    java.lang.Object plugin

### redirectInfo

    java.lang.Object redirectInfo

### uri

    java.lang.Object uri

### view

    java.lang.Object view

Groovy Documentation